<template>
    <Form
        v-if="user"
        :item="user"
        title="Update"
        @submit="submit"
    />
</template>

<script>
import adminUsers from '@/mixins/admin/users.service';
import Form from '@/components/super-admin/user/Form.vue'

export default {
    name: "AdminUserEdit",
    components: {
        Form
    },
    mixins: [adminUsers],
    data() {
        return {
            user: null,
        }
    },
    created() {
        this.loadData();
    },
    methods: {
        async submit(e) {
            this.updateAdminUser(this.$route.params.id, this.$route.params.platform, e.payload).then((res) => {
                this.$notify({
                    type: 'success',
                    title: res.data[0]
                });
                this.$router.push('/admin/users');
            }).catch((error) => {
                console.log(error)
            });
        },
        async loadData() {
            const { data } = await this.getAdminUser(this.$route.params.id, this.$route.params.platform);
            const item = {...data, password: ''}
            this.user = item
        }
    },
};
</script>

<style scoped lang="scss">
    @import "../../../../resources/css/colors.scss";

    .page-container {
        padding-top: 80px;
    }

    .title {
        font-size: 28px;
        font-weight: bold;
        color: $blue-color;
        margin-bottom: 15px;
    }

</style>
